
Redmine - Defect #23794

Regression in REST API ISSUES GET

2016-09-08 18:04 - Alex Kurov

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.0

Description

In previos redmine version i've used rest api to sync with our ERP/CRM system for further analisis

To get only updated issues we used uri like this

issues.xml?key=8c4cc4a8a142484dcbe62b7e86bdfe1cb9045bec&updated_on=%3E%3D2016-09-07T06:12:07Z&limit=100&status_i

d=*&sort=updated_on

Where "2016-09-07T06:12:07Z" is a timestamp of the last sync issue

After 3.3 update this GET request returns issues that were update before this date

I've tried this request with various dates and came across to the conclusion, that when i use only "2016-09-07" i get the correct result,

but when i add time - i get strange set of issues

I've also checked the Rest_Issues, but i did not see any changes

Please help to understand what is whong in this request (it worked well for a long time before the 3.3 update) or fix the problem if it is

a bug

History

#1 - 2016-09-08 18:18 - Alex Kurov

It seems that when i use timestamp (e.g "2016-09-07T06:12:07Z") the request returns all issues updated_on from the begining of that year.

#2 - 2016-09-08 19:07 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

Test covers.

source:tags/3.3.0/test/integration/api_test/issues_test.rb#L128

Please see submissions.

#3 - 2016-09-08 19:11 - Toshi MARUYAMA

- Description updated

#4 - 2016-09-13 11:09 - Wadim Incognito

Our's environment is:

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.1.2-p95 (2014-05-08) [x86_64-linux]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem
https://www.redmine.org/projects/redmine/wiki/Rest_Issues
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.0/test/integration/api_test/issues_test.rb#L128
https://www.redmine.org/projects/redmine/wiki/Submissions


Redmine plugins:

  a_common_libs                  2.2.0

  ajax_counters                  1.4.0

  clear_plan                     2.2.0

  global_roles                   2.1.0

  luxury_buttons                 3.7.5

  redmine_favorite_projects      2.0.2

  redmine_issue_tabs             1.1.1

  redmine_my_page                0.1.9

  unread_issues                  2.1.0

  usability                      2.1.3

 Should we provide anything more ?

And what about your's point to test ?  Do you want, that we shall run it ?

#5 - 2016-09-13 13:01 - Toshi MARUYAMA

Wadim Incognito wrote:

Do you want, that we shall run it ?

 Yes. Because vanilla Redmine tests pass.

http://www.redmine.org/builds/index.html

Make sure to run on test environment, not production environment.
